#ifndef CHILDFRM_H
#define CHILDFRM_H

class CChildView : public CWnd
{
public:
    CChildView();
    virtual ~CChildView();

protected:
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
};

class CChildFrame : public CMDIChildWndEx
{
    DECLARE_DYNCREATE(CChildFrame)
public:
    CChildFrame();
    virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);

public:
    CChildView m_wndView;
    virtual ~CChildFrame();
    void SetChild(HWND wnd);

protected:
    afx_msg void OnFileUntab();
    afx_msg void OnFileClose();
    afx_msg BOOL DestroyWindow();
    afx_msg void OnSetFocus(CWnd* pOldWnd);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnRenameTab();

    DECLARE_MESSAGE_MAP()
    HWND m_childWnd;
    WINDOWPLACEMENT m_wPlacement;
    DWORD m_dwStyle;
    DWORD m_dwExtendedStyle;
};

#endif