#ifndef SCREENSELECTOR_H
#define SCREENSELECTOR_H
// Bote de dialogue CScreenSelector

class CScreenSelector : public CStatic
{
	DECLARE_DYNAMIC(CScreenSelector)

public:
	CScreenSelector();
	~CScreenSelector();
	void SetNbScreens(int nbScreens);
	void SetNbRows(int nbRows);
    void SetNbCols(int nbCols);
    void SetCurX(int curX);
    void SetCurY(int curY);
    int GetCurX();
    int GetCurY();
	int CalcSize(int x, bool includeBorder);
	int DetSize(int x, bool includeBorder);
	void Resize();

protected:
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
    virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);

	DECLARE_MESSAGE_MAP()

private:
	int m_nbScreens;
	int m_nbCols;
    int m_nbRows;
	int m_border;
	int m_squareSize;
	int m_cellSpacing;
	int m_curX;
	int m_curY;
	CPoint m_ref;
	CPoint m_point;
};

#endif
