#ifndef TABMANAGER_H
#define TABMANAGER_H

#include "MainFrame.h"
#include "clock.h"

// CTabManager dialog
class CTabManager : public CDialog
{
    // Construction
public:
    CTabManager(UINT nIDTemplate);  // standard constructor
    ~CTabManager();
    CArray<CMainFrame*, CMainFrame*> m_listFrame;

    // Implementation
protected:
    // Generated message map functions
    virtual BOOL OnInitDialog();
    DECLARE_MESSAGE_MAP()
    UINT g_count;
    CClock clock;

public:
    afx_msg void OnDestroy();
    afx_msg LRESULT TabWindow(WPARAM wParam, LPARAM lParam);
    afx_msg LRESULT GetName(WPARAM wParam, LPARAM lParam);
    afx_msg LRESULT RemoveTab(WPARAM wParam, LPARAM lParam);
    afx_msg LRESULT GetTabSize(WPARAM wParam, LPARAM lParam);
    afx_msg void OnInitMenuPopup(CMenu* pMenu, UINT wParam, BOOL isActive);
    afx_msg void OnDisplayVisible();
    afx_msg void OnDisplayTrayMe();
    afx_msg void OnDisplayMonitor();
    afx_msg void OnDisplayClock();
    afx_msg void OnDisplayCaps();
    afx_msg void OnDisplayRenameWnd();
    afx_msg void OnDisplayTab();

    void PostNcDestroy();
};

#endif
