@ECHO OFF
:: Windows NT 4 or later only
IF NOT "%OS%"=="Windows_NT" GOTO Syntax
:: No command line arguments required
IF NOT [%1]==[] GOTO Syntax

:: Keep variables local
SETLOCAL

:: Export registry's date format settings to a temporary file
START /W REGEDIT /E %TEMP%.\_TEMP.REG "HKEY_CURRENT_USER\Control Panel\International"

:: iDate 
:: Valeur     Format 
::   0        mm/dd/yy
::   1        dd/mm/yy
::   2        yy/mm/dd
:: iTime
:: Valeur     Format 
::   0        AM/PM
::   1        00/23

FOR /F "tokens=1* delims==" %%A IN ('TYPE %TEMP%.\_TEMP.REG ^| FIND /I "iDate"') DO SET iDate=%%B
FOR /F "tokens=1* delims==" %%A IN ('TYPE %TEMP%.\_TEMP.REG ^| FIND /I "sDate"') DO SET sDate=%%B
::FOR /F "tokens=1* delims==" %%A IN ('TYPE %TEMP%.\_TEMP.REG ^| FIND /I "iTime" ^| FIND /I /V "iTimePrefix"') DO SET iTime=%%B
::FOR /F "tokens=1* delims==" %%A IN ('TYPE %TEMP%.\_TEMP.REG ^| FIND /I "sTime" ^| FIND /I /V "sTimeFormat" ^| FIND /I /V "sTimePrefix"')  DO SET sTime=%%B
DEL %TEMP%.\_TEMP.REG

:: Remove quotes from exported values
SET iDate=%iDate:"=%
SET sDate=%sDate:"=%
::SET iTime=%iTime:"=%
::SET sTime=%sTime:"=%
::FOR /F "TOKENS=*" %%A IN ('TIME/T') DO SET TIME=%%A
::FOR /F "TOKENS=1,2* DELIMS=%sTime% " %%A IN ('ECHO %TIME%') DO (
::	SET HOUR=%%A
::	SET MINS=%%B
::)
::IF %iTime%==1 GOTO next
::SET AMPMTIME=%TIME%
::SET AMPM=%MINS:~2,1%
::SET MINS=%MINS:~0,2%
::IF %HOUR% LSS 12 IF /I %AMPM%==P SET /A HOUR=%HOUR%+12
::IF %HOUR% LSS 10 IF /I %AMPM%==A SET HOUR=0%HOUR%
::IF %HOUR% EQU 12 IF /I %AMPM%==A SET HOUR=00
::next
:: Parse today's date depending on registry's date format settings
IF %iDate%==0 FOR /F "TOKENS=1-4* DELIMS=%sDate%" %%A IN ('DATE/T') DO (
	SET Year=%%C
	SET Month=%%A
	SET Day=%%B
)
IF %iDate%==1 FOR /F "TOKENS=1-4* DELIMS=%sDate%" %%A IN ('DATE/T') DO (
	SET Year=%%C
	SET Month=%%B
	SET Day=%%A
)
IF %iDate%==2 FOR /F "TOKENS=1-4* DELIMS=%sDate%" %%A IN ('DATE/T') DO (
	SET Year=%%A
	SET Month=%%B
	SET Day=%%C
)
:: Remove the day of week if applicable
FOR %%A IN (%Year%)  DO SET Year=%%A
FOR %%A IN (%Month%) DO SET Month=%%A
FOR %%A IN (%Day%)   DO SET Day=%%A

::echo %Year%%Month%%Day%%HOUR%%MINS%
echo %Year%%Month%%Day%
:: Done
ENDLOCAL
GOTO:EOF

:: * * * * * * * *  Subroutines  * * * * * * * *

:Syntax
ECHO.
ECHO timestamp.bat for Windows NT 4 / 2000 / XP
